JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const response = await client.v1.credits.getAutoRecharge({
currencyId: 'currencyId',
customerId: 'customerId',
});
console.log(response.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
response = client.v1.credits.get_auto_recharge(
currency_id="currencyId",
customer_id="customerId",
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.V1.Credits.GetAutoRecharge(context.TODO(), stigg.V1CreditGetAutoRechargeParams{
CurrencyID: "currencyId",
CustomerID: "customerId",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.credits.CreditGetAutoRechargeParams;
import io.stigg.models.v1.credits.CreditGetAutoRechargeResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
CreditGetAutoRechargeParams params = CreditGetAutoRechargeParams.builder()
.currencyId("currencyId")
.customerId("customerId")
.build();
CreditGetAutoRechargeResponse response = client.v1().credits().getAutoRecharge(params);
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
response = stigg.v1.credits.get_auto_recharge(currency_id: "currencyId", customer_id: "customerId")
puts(response)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Credits;
StiggClient client = new();
CreditGetAutoRechargeParams parameters = new()
{
CurrencyID = "currencyId",
CustomerID = "customerId",
};
var response = await client.V1.Credits.GetAutoRecharge(parameters);
Console.WriteLine(response);stigg v1:credits get-auto-recharge \
--api-key 'My API Key' \
--currency-id currencyId \
--customer-id customerIdcurl --request GET \
--url https://api.stigg.io/api/v1/credits/auto-recharge \
--header 'X-API-KEY: <api-key>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stigg.io/api/v1/credits/auto-recharge",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": null,
"customerId": "customer-123",
"currencyId": "credits",
"isEnabled": false,
"thresholdType": "CREDIT_AMOUNT",
"thresholdValue": 0,
"targetBalance": 0,
"maxSpendLimit": null,
"grantExpirationPeriod": "1_YEAR",
"createdAt": null,
"updatedAt": null
}
}{
"message": "<string>"
}{
"message": "<string>",
"code": "Unauthenticated"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"code": "RateLimitExceeded"
}Auto recharge
Get automatic recharge configuration
Retrieves the automatic recharge configuration for a customer and currency. Returns default settings if no configuration exists.
GET
/
api
/
v1
/
credits
/
auto-recharge
JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const response = await client.v1.credits.getAutoRecharge({
currencyId: 'currencyId',
customerId: 'customerId',
});
console.log(response.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
response = client.v1.credits.get_auto_recharge(
currency_id="currencyId",
customer_id="customerId",
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.V1.Credits.GetAutoRecharge(context.TODO(), stigg.V1CreditGetAutoRechargeParams{
CurrencyID: "currencyId",
CustomerID: "customerId",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.credits.CreditGetAutoRechargeParams;
import io.stigg.models.v1.credits.CreditGetAutoRechargeResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
CreditGetAutoRechargeParams params = CreditGetAutoRechargeParams.builder()
.currencyId("currencyId")
.customerId("customerId")
.build();
CreditGetAutoRechargeResponse response = client.v1().credits().getAutoRecharge(params);
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
response = stigg.v1.credits.get_auto_recharge(currency_id: "currencyId", customer_id: "customerId")
puts(response)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Credits;
StiggClient client = new();
CreditGetAutoRechargeParams parameters = new()
{
CurrencyID = "currencyId",
CustomerID = "customerId",
};
var response = await client.V1.Credits.GetAutoRecharge(parameters);
Console.WriteLine(response);stigg v1:credits get-auto-recharge \
--api-key 'My API Key' \
--currency-id currencyId \
--customer-id customerIdAuthorizations
Server API Key
Headers
Account ID — optional when authenticating with a user JWT (Bearer token); falls back to the user's first membership. Ignored for API-key auth.
Environment ID — required when authenticating with a user JWT (Bearer token) on environment-scoped endpoints. Ignored for API-key auth (env is intrinsic to the key).
Query Parameters
Filter by customer ID (required)
Required string length:
1 - 255Pattern:
^[a-zA-Z0-9][a-zA-Z0-9_|.@-]*$Filter by currency ID (required)
Required string length:
1 - 255Pattern:
^[a-zA-Z0-9][a-zA-Z0-9_|.-]*$Response
The automatic recharge configuration object.
Response object
Automatic recharge configuration for a customer and currency
Show child attributes
Show child attributes
⌘I
